Вопрос apt говорит, что нет новых обновлений для firefox 27


Ubuntu 12.04.4 LTS. Firefox 27.0. apt-get install firefox говорит, что это уже самая последняя версия. Я знаю, что это не так,

у меня есть precise, precise-backports, precise-security а также precise-updates на моем sources.list (полное содержание здесь).

Я выступал (очевидно, успешно) и apt-get update и результат все тот же. Я смог установить новый pakage (guake) так apt разговаривает с Интернетом просто отлично.

apt-get upgrade говорит: «Обновлено 0 пакетов, 0 новых, 0 удалено, 0 не обновлено».

Результат apt-cache policy firefox:

firefox:
  Instalado: 27.0+build1-0ubuntu0.12.04.1
  Candidato: 27.0+build1-0ubuntu0.12.04.1
  Tabela de versão:
 *** 27.0+build1-0ubuntu0.12.04.1 0
        500 http://br.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
        100 /var/lib/dpkg/status
     11.0+build1-0ubuntu4 0
        500 http://br.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

2
2017-07-31 15:32


происхождения


Не большой ответ, но в нижней части страница пакета, у него есть ссылки для скачивания. Вы можете загрузить файлы deb и установить их. Ты пробовал sudo apt-get upgrade - Wilf
@Wilf Да, я не хочу устанавливать .deb потому что IIRC не будет обновлять пакет, это то, что я хочу, а не обновлять до эта конкретная версия, но всегда до последней возможности для этого дистрибутива, - That Brazilian Guy
Кроме того, я попробовал apt-get upgrade, не работает. - That Brazilian Guy
@chaskes Я не знаю, что такое закрепление или удержание. Это не мой компьютер, и я не знаю, как его проверить. - That Brazilian Guy
Теперь я вижу, что здесь не проблема в политике apt-cache - chaskes


ответы:


Есть две возможности:

  1. Бразильское зеркало отстает

    Могу заверить, что нет:

    ➜  ~  apt-cache policy firefox
    firefox:
      Installed: (none)
      Candidate: 31.0+build1-0ubuntu0.12.04.1
      Version table:
         31.0+build1-0ubuntu0.12.04.1 0
            500 http://br.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
    
  2. Существует прокси-сервер, который работает неправильно.

Во втором случае вам может потребоваться, чтобы администратор сети исправил его, обойдя прокси (используя https или полностью отключив его) или переключившись на другое зеркало, удалив br часть вашего списка зеркал.


2
2017-07-31 15:49